import .connectives
import .leibniz
axiom nat.nat : Type.
constant nat.S : (nat.nat) -> nat.nat.
constant nat.filter_nat_type : forall (return : Type) , ((nat.nat) -> return) -> (nat.nat) -> return.
axiom nat.axiom_filter_nat_type_S : forall (return_type : Type) , forall (return:(nat.nat) -> return_type) , forall (n:nat.nat) , (((connectives.equal) (return_type)) ((((nat.filter_nat_type) (return_type)) (return)) (((nat.S) ) (n)))) ((return) (((nat.S) ) (n))).
theorem nat.eq_filter_nat_type_S : forall (return_type : Type) , forall (return:(nat.nat) -> return_type) , forall (n:nat.nat) , (((leibniz.leibniz) (return_type)) ((((nat.filter_nat_type) (return_type)) (return)) (((nat.S) ) (n)))) ((return) (((nat.S) ) (n))) := fun (return_type : Type) , fun (return : (nat.nat) -> return_type) , fun (n : nat.nat) , ((((@connectives.equal_leibniz) (return_type)) ((((nat.filter_nat_type) (return_type)) (return)) (((nat.S) ) (n)))) ((return) (((nat.S) ) (n)))) ((((@nat.axiom_filter_nat_type_S) (return_type)) (return)) (n)).
theorem nat.sym_eq_filter_nat_type_S : forall (return_type : Type) , forall (return:(nat.nat) -> return_type) , forall (n:nat.nat) , (((leibniz.leibniz) (return_type)) ((return) (((nat.S) ) (n)))) ((((nat.filter_nat_type) (return_type)) (return)) (((nat.S) ) (n))) := fun (return_type : Type) , fun (return : (nat.nat) -> return_type) , fun (n : nat.nat) , ((((@leibniz.sym_leibniz) (return_type)) ((((nat.filter_nat_type) (return_type)) (return)) (((nat.S) ) (n)))) ((return) (((nat.S) ) (n)))) ((((@nat.eq_filter_nat_type_S) (return_type)) (return)) (n)).
